language-javascript-0.5.7: Parser for JavaScript

Safe Haskell | Safe-Infered

Language.JavaScript.Parser.SrcLocation

Synopsis

- data TokenPosn = TokenPn !Int !Int !Int
- tokenPosnEmpty :: TokenPosn

# Documentation

data TokenPosn

`TokenPosn` records the location of a token in the input text. It has three fields: the address (number of characters preceding the token), line number and column of a token within the file. Note: The lexer assumes the usual eight character tab stops.

Constructors

TokenPn !Int !Int !Int |

Instances

Eq TokenPosn |
Data TokenPosn |
Read TokenPosn |
Show TokenPosn |
Typeable TokenPosn |

tokenPosnEmpty :: TokenPosn